<?php 

/**
* class DateField
*
* Create a datefield with a jscalendar
*
* Created by: T. Heimans
* Revision: $Date: 2005/10/02 19:48:24 $
*/
class jsDateField extends DateField {

	/**
     * jsDateField::jsDateField()
     *
     * Public constructor: create a new jsdatefield object
     *
     * @param object &$oForm: the form where the datefield is located on
     * @param string $sName: the name of the datefield
     * @return
     */
	function jsDateField(&$oForm, $sName) {
		// call the constructor of the datefield
		$this->DateField($oForm, $sName);
		
		static $bSetJS = false;
    	
    	// needed javascript included yet ?
        if(!$bSetJS) {
            $bSetJS = true;
            
            $oForm->_setJS( 
              FH_FHTML_DIR."js/calendar_popup.js", true
            );
            $oForm->_setJS(
              "document.write(getCalendarStyles());\n".
              "function getDateString( fldYear, fldMonth, fldDay ) {\n".
              "    var frm = document.forms['".$oForm->_name."'];\n".
              "    var objY = frm.elements[fldYear];\n".
              "    var objM = frm.elements[fldMonth];\n".
              "    var objD = frm.elements[fldDay];\n".
              "    var y    = objY.options[objY.selectedIndex].value;\n".
              "    var m    = objM.options[objM.selectedIndex].value;\n".
              "    var d    = objD.options[objD.selectedIndex].value;\n".
              "    if (y=='' || m== '') { \n".
              "        return null;\n".
              "    }\n".
              "    if (d=='') { \n".
              "        d = 1;\n".
        	  "    }\n".
        	  "    return y+'-'+m+'-'+d;\n".
        	  "}\n"
            );  
        } 
        
        list( $iStart, $iEnd ) = $this->_getYearInterval();
        
        $oForm->_setJS(        
          "// create popup calendar\n".
		  "var cal_".$sName." = new CalendarPopup('".$sName."_div');\n".
		  "cal_".$sName.".showYearNavigation();\n".
		  "cal_".$sName.".showYearNavigationInput();\n".		  
		  "cal_".$sName.".setReturnFunction('set".$sName."Values');\n".
		  "cal_".$sName.".addDisabledDates(null,'Dec 31, ".(date('Y')-$iStart-1)."');\n". 
		  "cal_".$sName.".addDisabledDates('Jan 1, ".(date('Y')+$iEnd+1)."',null);\n".
		  "function set".$sName."Values(y,m,d) {\n".
		  "    document.forms['".$oForm->_name."'].elements['".$sName."_day'].value   = LZ(d);\n".
		  "    document.forms['".$oForm->_name."'].elements['".$sName."_month'].value = LZ(m);\n".
		  "    document.forms['".$oForm->_name."'].elements['".$sName."_year'].value  = y;\n".
		  //"    cal_".$sName.".setDate(
		  "}\n"		       
		);                       
	}
	
	/**
     * DateField::getField()
     *
     * return the field
     *
     * @return string: the field
     */
	function getField() { 
		$html = DateField::getField();	
		$html .= 
		"<a href='javascript:;' ".
		"onclick=\"cal_".$this->_sName.".showCalendar('anchor_".$this->_sName."', getDateString('".$this->_sName."_year', '".$this->_sName."_month', '".$this->_sName."_day')); return false;\" ".
		" name='anchor_".$this->_sName."' id='anchor_".$this->_sName."'>".
		"<img src='".FH_FHTML_DIR."images/calendar.gif' border='0' alt='Select Date' /></a>\n".
		"<div id='".$this->_sName."_div' ".
		" style='position:absolute;visibility:hidden;background-color:white;layer-background-color:white;'></div>\n";
		
		
 	    
 	    return $html;
	}		
}
?>